<template>
  <ContentScrollView class="authenticationHome-page-view">
    <div class="authenticationHome-page-title">实名认证</div>
    <authenticationHomeItem
      title="企业法人认证"
      :icon="IconFaren"
      :info="[['企业营业执照照片', '法人身份证照片'], ['法人手机号码(接收短信验证码进行短信核验)']]"
      @click="goFaRen"
    ></authenticationHomeItem>
    <authenticationHomeItem
      title="企业经办人认证"
      isJBR
      :icon="IconJBR"
      :info="[
        ['企业授权书', '企业营业执照照片', '经办人身份证照片'],
        ['经办人手机号码(接收短信验证码进行短信核验)'],
      ]"
      @click="goJBR"
    >
      <template #title-extra>
        <div class="authenticationHome-page-title-btn" @click.stop="downloadPowerAttorneyTemplate">
          下载授权书模版
        </div>
      </template>
    </authenticationHomeItem>
  </ContentScrollView>
</template>

<script setup lang="ts">
import authenticationHomeItem from './authenticationHomeItem.vue';
import IconFaren from '@/assets/authentication/icon-faren.png';
import IconJBR from '@/assets/authentication/icon-jbr.png';
import Taro from '@tarojs/taro';
import { useDownloadPowerAttorneyTemplate } from '../hooks';

defineOptions({
  name: 'InnerPage',
});

function goFaRen() {
  Taro.navigateTo({ url: RouterPath.authenticationFaRen });
}

function goJBR() {
  Taro.navigateTo({ url: RouterPath.authenticationJBR });
}

const { downloadPowerAttorneyTemplate } = useDownloadPowerAttorneyTemplate();
</script>

<style lang="scss">
@import '@/styles/common.scss';

.authenticationHome-page-wrapper {
  .authenticationHome-page-view {
    padding-top: 48px;
    background-color: transparent;
  }

  .authenticationHome-page-title {
    font-weight: 600;
    font-size: 44px;
    color: #2f4879;
    line-height: 60px;
    margin-bottom: 44px;
  }

  .authenticationHome-page-title-btn {
    font-weight: bold;
    font-size: 24px;
    color: boleGetCssVar('color', 'primary');
    line-height: 34px;
    margin-left: 24px;
  }
}
</style>
